Subject: Re: What about allowing multiple hooks?

From: Anders Waldenborg <[email-masked]>
Date: Wed, 21 Jan 2009 22:30:13 +0100

Johannes Schindelin wrote:
>> I currently use configvalues to specify which hooks to run. For example 
>> this is how my post-receive looks:
>>
>> data=$(cat)
>> git config --get-all hooks.post-receive.hook | while read hook; do
>>         $hook <<__EOF__
>> "$data"
>> __EOF__
>> done
> 
> I wonder why you don't do the obvious thing:

Because I wanted to be able to do things like this:

git config -add hooks.post-receive.hook \
  "sh hooks/buildbot 192.168.99.9:9989"
git config -add hooks.post-receive.hook \
  "sh hooks/buildbot 192.168.99.9:9988"

So, the thing I initially wanted to solve was "multiple instances" of 
the same hook.

Then when I found this thread I saw that the richer meta information 
needed to implement multiple hooks with sane semantics could be done 
with the config values.

  anders